GET /techsupportprofile/{uuid}

GET /techsupportprofile/{uuid}

/techsupportprofile/{uuid}/{uuid}

Request
URI
GET
https://{api_host}/api/techsupportprofile/{uuid}
COPY
Path Parameters
string
uuid
Required

UUID of the object to fetch

Query Parameters
string
name
Optional

object name

string
fields
Optional

List of fields to be returned for the resource. Some fields like name, URL, uuid etc. are always returned.

boolean
include_name
Optional

All the Avi REST reference URIs have a name suffix as URI#name. It is useful to get the referenced resource name without performing get on that object.

boolean
skip_default
Optional

Default values are not set.

string
join_subresources
Optional

It automatically returns additional dependent resources like runtime. Eg. join_subresources=runtime.

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns TechSupportProfile of type(s) application/json
{
    "_last_modified": "string",
    "archive_rules": {
        "rules": [
            {
                "file_path": "string",
                "threshold": 0
            }
        ]
    },
    "event_params": {
        "collect_all_events": false,
        "days": 0,
        "files": 0
    },
    "file_size_threshold": 0,
    "max_disk_size_percent": 0,
    "min_free_disk_required": 0,
    "no_of_techsupport_retentions": 0,
    "simultaneous_invocations": 0,
    "task_timeout": 0,
    "url": "string",
    "uuid": "string"
}
string
_last_modified
Optional

UNIX time since epoch in microseconds. Units(MICROSECONDS).

object
archive_rules
Optional

archive_rules

object
event_params
Optional

event_params

integer As uint32 As uint32
file_size_threshold
Optional
Constraints: default: 128

Max file size threshold to archive in techsupport collection. files above this threshold will not be collected and an warning will be flagged. Allowed values are 128-512. Field introduced in 31.2.1. Unit is MB. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

integer As uint32 As uint32
max_disk_size_percent
Optional
Constraints: default: 10

Max disk size in percent of total disk size reserved for the techsupport. The value is in Percentage to make it agnostic of controller flavors. e.g. small [disk=5 GB, TS space available = 500MB] Large [ disk= 100Gb, TS Space available= 10GB] XL [disk=1TB, TS space available=100GB]. Allowed values are 10-25. Field introduced in 31.2.1. Unit is PERCENT. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

integer As uint32 As uint32
min_free_disk_required
Optional
Constraints: default: 5

Min free disk required for the techsupport invocation. The value is in Percentage to make it agnostic of controller flavors. e.g. small [disk=5 GB, TS space available = 250MB] Large [ disk= 100Gb, TS Space available= 5GB] XL [disk=1TB, TS space available=50GB]. Allowed values are 5-10. Field introduced in 31.2.1. Unit is PERCENT. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

integer As uint32 As uint32
no_of_techsupport_retentions
Optional
Constraints: default: 4

Number of techsupport to retain from techsupport cleanup policy. Allowed values are 1-5. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

integer As uint32 As uint32
simultaneous_invocations
Optional
Constraints: default: 1

Number of simultaneous techsupport invocation allowed. Allowed values are 1-2. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

integer As uint32 As uint32
task_timeout
Optional
Constraints: default: 180

Generic timeout for techsupport task collection. This can be used for task, script executions etc. Tweak the timeout value in cases of timeout observation in the logs. Field introduced in 31.2.1. Unit is SEC. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
url
Optional

url

string
uuid
Optional

UUID Identifier for the techsupport profile. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/techsupportprofile/{uuid}